Subject: Re: [PATCH v2 00/31] refactor rebase

From: Johannes Sixt <[email-masked]>
Date: Wed, 16 Feb 2011 15:52:13 +0100

There's one annoying regression with this series: It does not accept
abbreviated options anymore. In particular, 'git rebase --cont' is now an
error. I use this a lot since I don't have command completion. This used
to work (only) with interactive rebase.

And a side note: the error message is -- during a rebase that stopped at
an 'edit' instruction:

$ git rebase --cont
Usage: git rebase [--interactive | -i] [-v] [--force-rebase | -f]
[--no-ff] [--onto <newbase>] [<upstream>|--root] [<branch>] [--quiet | -q]

It nowhere mentions --continue, --skip, --abort etc. That's perhaps worth
fixing.

-- Hannes